Bug 120075 - SELinux FAQ - is ext2/3 the only available file system?
SELinux FAQ - is ext2/3 the only available file system?
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: selinux-faq (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Wade
Tammy Fox
http://people.redhat.com/kwade/fedora...
:
Depends On:
Blocks: 118757
  Show dependency treegraph
 
Reported: 2004-04-05 16:15 EDT by Karsten Wade
Modified: 2007-04-18 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 19:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2004-04-05 16:15:12 EDT
Description of change/FAQ addition:

Are other file systems besides ext2 and ext3 supported under SELinux,
such as XFS or ReiserFS?

Start of thread:

http://www.redhat.com/archives/fedora-selinux-list/2004-April/msg00087.html

Version-Release of FAQ (found on
http://people.redhat.com/kwade/fedora-docs/selinux-faq-en/ln-legalnotice.html):

 selinux-faq-1.0-4 (2004-04-05-T04:20-0800)
Comment 1 Karsten Wade 2004-04-05 19:35:31 EDT
<notting> XFS supports labels, as I recall.

<jamesm> devpts can also be labeled with xattrs.
Comment 2 Karsten Wade 2004-04-05 20:41:35 EDT
<sct> Yes, the XFS xattr support got the security.* namespace added on
Jan 30 this year, so it should work fine
Comment 3 Bill Nottingham 2004-04-06 16:06:37 EDT
devpts, of course, isn't really a user-installable filesystem.
Comment 4 Karsten Wade 2004-04-06 19:21:08 EDT
To be included in 1.0-5.

## begin snippet from FAQ

Q:. What file systems can I use for SELinux?

A:. The file system must support xattr labels in the right security.*
namespace. In addition to ext2/ext3, XFS has recently added support
for the necessary labels. 

## 30

Note You need to log in before you can comment on or make changes to this bug.